Skip to main content
GET
/
companies
companies
curl --request GET \
  --url https://api.windermere.com/v1/api/companies \
  --header 'x-api-key: <api-key>'
[
  {
    "moxi_works_company_id": "string",
    "name": "string",
    "numeric_id": "string",
    "client_company_id": "string",
    "public_partner_attrs": {
      "is_nrt": true
    }
  }
]

Authorizations

x-api-key
string
header
required

Query Parameters

moxi_works_company_id
string

This is the MoxiWorks Platform ID of the Company. This will be an alphanumeric identification string which will be similar to the company name.

numeric_id
string

This is the numeric company id that is interchangeable with the moxi_works_agent_id in all request scenarios

name
string

This is a human readable name of the company which this Company object represents.

client_company_id
string

This is a client-specified identifier of the company which this Company object represents, or null if absent.

public_partner_attrs
object

Exposed company attributes

Response

200 - application/json
moxi_works_company_id
string
required
name
string
required
numeric_id
string
required
client_company_id
string
required
public_partner_attrs
object
required